-php syntax highlighting (done)
-integrated preview (webserver support and execution with php.exe),including error message parser
-syntax check with php.exe
-extended classtools (new class,new function...) based on filetemplates
-debugger and profiler support dbg(http://dd.cron.ru/dbg)
-codecompletion (key words, functions (mysql_*), and current project)
-html form support (dialogs for generating html code, tables...)
-support for phpdoc
-documentation viewer for php (maybe plugins for the current docviewer) (tf)
-integrated filemanager with ftp client (maybe a konqueror part)
-code template factory (contains useful php code snippet like array_display,trace,validator)
-new 'character' based parser, the current is 'line' based
...
